package com.zehong.system.task;

import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.List;

/**
 * @author lenovo
 * @date 2025/9/25
 * @description TODO
 */
@Component
public class DeviceComm501Job extends BaseDeviceCommJob {

    @Override
    protected int getFixedPort() {
        return 501; // 固定端口501
    }

    @Override
    protected List<Integer> getDeviceIds() {
        // 端口501对应的设备ID列表
        return Arrays.asList(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27);
    }
}
